<template>
    <div>
        <el-form :model="formData" :rules="rules" ref="form" label-width="80px" label-position="right" size="small" style="max-width: 500px;">
            <!-- <el-form-item prop="aimPlaceContentId" label="目标点内容ID">
                <template>
                    <el-select v-model="formData.aimPlaceContentId" clearable placeholder="请选择" :disabled="'aimPlaceContentId'==subColumn">
                        <el-option v-for="item in aimPlaceContentIdOptions" :key="item.value" :label="item.label" :value="item.value">
                        </el-option>
                    </el-select>
                </template>
            </el-form-item> -->
            <el-form-item prop="type" label="类别">
                <el-input v-model="formData.type" :disabled="'type'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="itemName" label="名称">
                <el-input v-model="formData.itemName" :disabled="'itemName'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="itemMess" label="描述">
                <el-input type="textarea" v-model="formData.itemMess" :disabled="'itemMess'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="itemDes" label="详细">
                <el-input type="textarea" v-model="formData.itemDes" :disabled="'itemDes'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark1" label="备注1">
                <el-input v-model="formData.remark1" :disabled="'remark1'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark2" label="备注2">
                <el-input v-model="formData.remark2" :disabled="'remark2'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark3" label="备注3">
                <el-input v-model="formData.remark3" :disabled="'remark3'==subColumn"></el-input>
            </el-form-item>
            <el-form-item>
                <el-button @click="onSave" :loading="$store.state.fetchingData" type="primary">保存</el-button>
                <el-button @click="onDelete" v-if="formData.id" type="danger">删除</el-button>
                <el-button @click="cancel">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
import formValidator from '../formValidator'

export default {
    props: {
        formData: {
            type: Object,
            default: () => {
                return {}
            }
        }
    },
    created() {
        if (this.$route.query.column) {
            this.subColumn = this.$route.query.column.split(',')[1];
            this.subValue = this.$route.query.column.split(',')[0];
        }

        // if (this.$route.query.id) {
        //     this.$http.get({
        //         url: '/aimPlaceContentChild/getOne',
        //         data: {
        //             id: this.$route.query.id
        //         }
        //     }).then(res => {
        //         if (res.success) {


        //             this.formData = res.data;

        //             if (this.$route.query.column) {
        //                 this.formData[this.subColumn] = this.subValue;
        //             }
        //         }
        //     })
        // } else {
        //     if (this.$route.query.column) {
        //         this.formData[this.subColumn] = this.subValue;
        //     }
        // }




        // this.$http.get({
        //     url: '/aimPlaceContent/all'
        // }).then(res => {
        //     if (res.success) {

        //         if (res.data.length > 0) {
        //             res.data.forEach(item => {
        //                 this.aimPlaceContentIdOptions.push({ label: item.name, value: item.id });
        //             })
        //         }
        //     }
        // });
    },
    data() {
        return {
            saving: false,
            // formData: {},
            rules: {
            },
            aimPlaceContentIdOptions: [],
            subColumn: '',
            subValue: '',
        }
    },
    methods: {
        cancel() {
            this.$emit('hide')
        },
        onSave() {
            this.$refs.form.validate((valid) => {
                if (valid) {
                    this.submit();
                } else {
                    return false;
                }
            });
        },
        submit() {
            var data = JSON.parse(JSON.stringify(this.formData));
            this.$http.post({
                url: this.formData.id ? '/aimPlaceContentChild/update' : '/aimPlaceContentChild/save',
                data: data
            }).then(res => {
                if (res.success) {
                    this.$message.success('成功');
                    this.$emit('hide')
                    this.$emit('update')
                } else {
                    this.$message.warning('失败')
                }
            });
        },
        onDelete() {
            this.$alert('删除将无法恢复，确认要删除么？', '警告', { type: 'error' }).then(() => {
                return this.$http.post({
                    url: '/aimPlaceContentChild/del',
                    data: { id: this.formData.id }
                })
            }).then(() => {
                this.$message.success('删除成功');
                this.$emit('hide')
                this.$emit('update')
            }).catch(action => {
                if (action === 'cancel') {
                    this.$message.info('删除取消');
                } else {
                    this.$message.error('删除失败');
                }
            })
        },
    }
}
</script>
<style lang="less" scoped>
</style>
